/*Project: LCD 2004
Function: You will see your LCD2004 display the flowing characters "ACOPTEX" and "hi, boys and girls" scrolled
Wiring:
 * LCD RS pin to digital pin 4
 * LCD E pin to digital pin 6
 * LCD D4 pin to digital pin 10
 * LCD D5 pin to digital pin 11
 * LCD D6 pin to digital pin 12
 * LCD D7 pin to digital pin 13
 * LCD RW pin to ground (-)
 * LCD K pin to ground (-)
 * LCD A pin to +3.3V
 * LCD D3 pin NOT USED
 * LCD D2 pin NOT USED
 * LCD D1 pin NOT USED
 * LCD D0 pin NOT USED
 * LCD VSS pin to ground (-)
 * LCD VDD pin to +5V
 * LCD V0 pin to potentiometer center pin
 * Potentiometer left pin to +5V
 * Potentiometer right pin to ground (-)
 */
//*********************************************************
#include <LiquidCrystal.h>                       //include the library code
//**********************************************************
char array1[]="ACOPTEX             ";      //the string to print on the LCD
char array2[]="hi boys and girls   ";      //the string to print on the LCD
int timedelay = 350;                             //the value of delay time
LiquidCrystal lcd(4, 6, 10, 11, 12, 13);         //initialize the library with the numbers of the interface pins
//*********************************************************
void setup()
{
  lcd.begin(20, 4);                             //setup the LCD's number of columns and rows 
  }
void loop() 
{
    lcd.setCursor(20,0);                        //set the cursor to column 20, line 0
    for ( int positionCounter1 = 0; positionCounter1 < 20; positionCounter1++)
    {
      lcd.scrollDisplayLeft();                  //scroll the contents of the display one space to the left.

      lcd.print(array1[positionCounter1]);      //print a message to the LCD.
      delay(timedelay);                         //wait for 350 microseconds
    }
    lcd.clear();                                //clear the LCD screen and positions the cursor in the upper-left corner.
    lcd.setCursor(20,1);                        //set the cursor to column 20, line 1
    for (int positionCounter2 = 0; positionCounter2 < 20; positionCounter2++)
    {
      lcd.scrollDisplayLeft();                  //scroll the contents of the display one space to the left.

      lcd.print(array2[positionCounter2]);      //print a message to the LCD.
      delay(timedelay);                         //wait for 350 microseconds
    }
    lcd.clear();                                //clear the LCD screen and positions the cursor in the upper-left corner.
}


